#pragma once
#include <map>
struct M_i18nData
{
	//参数编号
	std::string mID;
	//中文
	std::string mzh;
	//英文
	std::string men;
};

class M_i18n
{
public:
private:
	static std::auto_ptr<M_i18n> msSingleton;
public:
	int GetCount();
	const M_i18nData* GetData(std::string ID);
	const std::map<std::string, M_i18nData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_i18n* GetSingleton();
	static void Release();
private:
	std::map<std::string, M_i18nData> mMapData;
};
